/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../display/texture.h"
#include "../display/tileset.h"
#include "../display/primitive.h"
#include "../display/shader.h"
#include "../display/primitives/quad.h"

void vnCharacterInit(vncharacter_t *character,
  texture_t *textureEyes,
  texture_t *textureBody,
  texture_t *textureMouth,
  texture_t *textureFace
);

void vnCharacterSetEyes(vncharacter_t *character, uint8_t eyes);
void vnCharacterSetMouth(vncharacter_t *character, uint8_t mouth);
void vnCharacterUpdate(vncharacter_t *character, engine_t *engine);
void vnCharacterRender(vncharacter_t *character, shader_t *shader);